Skip to:
Content

BuddyPress.org

#8904 closed defect (bug) (fixed)

Move the BP Default theme into the BP Classic plugin

Reported by: imath's profile imath Owned by: imath's profile imath
Milestone: 12.0.0 Priority: normal
Severity: normal Version: 1.2
Component: Templates Keywords: has-patch
Cc:

Description

If you need BP Default, you'll need to download & activate the BP Classic plugin to find it back.

Change History (2)

This ticket was mentioned in PR #105 on buddypress/buddypress by @imath.


13 months ago
#1

  • Keywords has-patch added; needs-patch removed

Deprecate functions, methods & hooks retaining the BP Default (no more maintained - except for security issues) theme.

Trac ticket: https://buddypress.trac.wordpress.org/ticket/8904

#2 @imath
13 months ago

  • Resolution set to fixed
  • Status changed from assigned to closed

In 13490:

Remove bp-default altogether from the BuddyPress package

This theme is no more maintained (except for security issues) and will be now available from the BP Classic plugin. Almost 10 years after this announcement: https://bpdevel.wordpress.com/2013/11/13/the-future-of-the-bp-default-theme/ we are finally "removing bp-default altogether from the BuddyPress package".

Thanks for the great job people who contributed to it accomplished. It helped BuddyPress a lot to provide a flexible and powerful foundation for building BuddyPress sites.

Fixes #8904
Closes https://github.com/buddypress/buddypress/pull/105

Note: See TracTickets for help on using tickets.